## Index

### Functions

- createNewProperty
- initOrUpdateProperty
- isCustomType

## Functions

### createNewProperty

- createNewProperty(propertyOptions?: Partial<PropertyMetadata<any, Attribute>>, target: any, propertyKey: string): PropertyMetadata<any>

- - Defined in decorator/impl/property/init-or-update-property.function.ts:32

  #### Parameters

  - ##### Default value propertyOptions: Partial<PropertyMetadata<any, Attribute>> = {}

  - ##### target: any

  - ##### propertyKey: string

  #### Returns PropertyMetadata<any>

### initOrUpdateProperty

- initOrUpdateProperty(propertyMetadata?: Partial<PropertyMetadata<any, Attribute>>, target: any, propertyKey: string): void

- - Defined in decorator/impl/property/init-or-update-property.function.ts:8

  #### Parameters

  - ##### Default value propertyMetadata: Partial<PropertyMetadata<any, Attribute>> = {}

  - ##### target: any

  - ##### propertyKey: string

  #### Returns void

### isCustomType

- isCustomType(type: AttributeValueType): boolean

- - Defined in decorator/impl/property/init-or-update-property.function.ts:60

  TODO LOW:BINARY make sure to implement the context dependant details of Binary (Buffer vs. Uint8Array)

  #### Parameters

  - ##### type: AttributeValueType

  #### Returns boolean

  true if the type cannot be mapped by dynamo document client

Generated using TypeDoc